diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.32/src/spectrum/model/wifi-spectrum-value-helper.h ns-3.33/src/spectrum/model/wifi-spectrum-value-helper.h
--- ns-3.32/src/spectrum/model/wifi-spectrum-value-helper.h	2020-10-06 15:35:43.000000000 -0700
+++ ns-3.33/src/spectrum/model/wifi-spectrum-value-helper.h	2021-01-09 10:19:22.000000000 -0800
@@ -29,6 +29,11 @@
 namespace ns3 {
 
 /**
+ * typedef for a pair of start and stop sub-band indexes
+ */
+typedef std::pair<uint32_t, uint32_t> WifiSpectrumBand;
+
+/**
  * \ingroup spectrum
  *
  *  This class defines all functions to create a spectrum model for
@@ -83,9 +88,13 @@
    * \param channelWidth channel width (MHz)
    * \param txPowerW  transmit power (W) to allocate
    * \param guardBandwidth width of the guard band (MHz)
+   * \param minInnerBandDbr the minimum relative power in the inner band (in dBr)
+   * \param minOuterbandDbr the minimum relative power in the outer band (in dBr)
+   * \param lowestPointDbr maximum relative power of the outermost subcarriers of the guard band (in dBr)
    * \return a pointer to a newly allocated SpectrumValue representing the OFDM Transmit Power Spectral Density in W/Hz for each Band
    */
-  static Ptr<SpectrumValue> CreateOfdmTxPowerSpectralDensity (uint32_t centerFrequency, uint16_t channelWidth, double txPowerW, uint16_t guardBandwidth);
+  static Ptr<SpectrumValue> CreateOfdmTxPowerSpectralDensity (uint32_t centerFrequency, uint16_t channelWidth, double txPowerW, uint16_t guardBandwidth,
+                                                              double minInnerBandDbr = -20, double minOuterbandDbr = -28, double lowestPointDbr = -40);
 
   /**
    * Create a transmit power spectral density corresponding to OFDM
@@ -96,9 +105,13 @@
    * \param channelWidth channel width (MHz)
    * \param txPowerW  transmit power (W) to allocate
    * \param guardBandwidth width of the guard band (MHz)
+   * \param minInnerBandDbr the minimum relative power in the inner band (in dBr)
+   * \param minOuterbandDbr the minimum relative power in the outer band (in dBr)
+   * \param lowestPointDbr maximum relative power of the outermost subcarriers of the guard band (in dBr)
    * \return a pointer to a newly allocated SpectrumValue representing the HT OFDM Transmit Power Spectral Density in W/Hz for each Band
    */
-  static Ptr<SpectrumValue> CreateHtOfdmTxPowerSpectralDensity (uint32_t centerFrequency, uint16_t channelWidth, double txPowerW, uint16_t guardBandwidth);
+  static Ptr<SpectrumValue> CreateHtOfdmTxPowerSpectralDensity (uint32_t centerFrequency, uint16_t channelWidth, double txPowerW, uint16_t guardBandwidth,
+                                                                double minInnerBandDbr = -20, double minOuterbandDbr = -28, double lowestPointDbr = -40);
 
   /**
    * Create a transmit power spectral density corresponding to OFDM
@@ -109,9 +122,13 @@
    * \param channelWidth channel width (MHz)
    * \param txPowerW  transmit power (W) to allocate
    * \param guardBandwidth width of the guard band (MHz)
+   * \param minInnerBandDbr the minimum relative power in the inner band (in dBr)
+   * \param minOuterbandDbr the minimum relative power in the outer band (in dBr)
+   * \param lowestPointDbr maximum relative power of the outermost subcarriers of the guard band (in dBr)
    * \return a pointer to a newly allocated SpectrumValue representing the HE OFDM Transmit Power Spectral Density in W/Hz for each Band
    */
-  static Ptr<SpectrumValue> CreateHeOfdmTxPowerSpectralDensity (uint32_t centerFrequency, uint16_t channelWidth, double txPowerW, uint16_t guardBandwidth);
+  static Ptr<SpectrumValue> CreateHeOfdmTxPowerSpectralDensity (uint32_t centerFrequency, uint16_t channelWidth, double txPowerW, uint16_t guardBandwidth,
+                                                                double minInnerBandDbr = -20, double minOuterbandDbr = -28, double lowestPointDbr = -40);
 
   /**
    * Create a power spectral density corresponding to the noise
@@ -137,25 +154,22 @@
   /**
    * Create a spectral density corresponding to the RF filter
    *
-   * \param centerFrequency center frequency (MHz)
-   * \param channelWidth channel width (MHz)
-   * \param bandBandwidth width of each band (Hz)
-   * \param guardBandwidth width of the guard band (MHz)
+   * \param centerFrequency the center frequency (MHz)
+   * \param totalChannelWidth the total channel width (MHz)
+   * \param bandBandwidth the width of each band (MHz)
+   * \param guardBandwidth the width of the guard band (MHz)
+   * \param band the pair of start and stop indexes that defines the band to be filtered
    *
    * \return a pointer to a SpectrumValue representing the RF filter applied
    * to an received power spectral density
    */
-  static Ptr<SpectrumValue> CreateRfFilter (uint32_t centerFrequency, uint16_t channelWidth, uint32_t bandBandwidth, uint16_t guardBandwidth);
-
-  /**
-   * typedef for a pair of start and stop sub-band indexes
-   */
-  typedef std::pair<uint32_t, uint32_t> StartStop;
+  static Ptr<SpectrumValue> CreateRfFilter (uint32_t centerFrequency, uint16_t totalChannelWidth, uint32_t bandBandwidth, uint16_t guardBandwidth, WifiSpectrumBand band);
 
   /**
    * Create a transmit power spectral density corresponding to OFDM
    * transmit spectrum mask requirements for 11a/11g/11n/11ac/11ax
    * Channel width may vary between 5, 10, 20, 40, 80, and 160 MHz.
+   * The default (standard) values are illustrated below.
    *
    *   [ guard band  ][    channel width     ][  guard band ]
    *                   __________   __________                  _ 0 dBr
@@ -183,13 +197,15 @@
    * \param maskBand start and stop subcarrier indexes of transmit mask (in case signal doesn't cover whole SpectrumModel)
    * \param txPowerPerBandW power allocated to each subcarrier in the allocated sub bands
    * \param nGuardBands size (in number of subcarriers) of the guard band (left and right)
-   * \param innerSlopeWidth size (in number of subcarriers) of the inner band (i.e. slope going from 0 dBr to -20 dBr)
+   * \param innerSlopeWidth size (in number of subcarriers) of the inner band (i.e. slope going from 0 dBr to -20 dBr in the figure above)
+   * \param minInnerBandDbr the minimum relative power in the inner band (i.e. -20 dBr in the figure above)
+   * \param minOuterbandDbr the minimum relative power in the outer band (i.e. -28 dBr in the figure above)
    * \param lowestPointDbr maximum relative power of the outermost subcarriers of the guard band (in dBr)
    * \return a pointer to a newly allocated SpectrumValue representing the HT OFDM Transmit Power Spectral Density in W/Hz for each Band
    */
-  static void CreateSpectrumMaskForOfdm (Ptr<SpectrumValue> c, std::vector <StartStop> allocatedSubBands, StartStop maskBand,
-                                         double txPowerPerBandW, uint32_t nGuardBands,
-                                         uint32_t innerSlopeWidth, double lowestPointDbr);
+  static void CreateSpectrumMaskForOfdm (Ptr<SpectrumValue> c, std::vector <WifiSpectrumBand> allocatedSubBands, WifiSpectrumBand maskBand,
+                                         double txPowerPerBandW, uint32_t nGuardBands, uint32_t innerSlopeWidth,
+                                         double minInnerBandDbr, double minOuterbandDbr, double lowestPointDbr);
 
   /**
    * Normalize the transmit spectrum mask generated by CreateSpectrumMaskForOfdm
